Subject: Re: Can't start windows-progs like 'edit' over telnet
From: "Andreas Schlager" <[email-masked]>
To: egor duda <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Jul 2001 12:47:41 +0200

Hi Egor,

Am 5 Jul 2001, um 13:51 Uhr schrieb egor duda:

> AS> '"/etc/termcap", line 61, terminal 'pcansi-mono': 
> AS> enter_alt_charset_mode but no acs_chars'
> 
> try setting TERM environment variable to 'cygwin'. i also recommend
> you to install terminfo database with appropriate cygwin entry.
> termcap has some limitations, and terminfo is a preferred format for
> describing terminal capabilities.

my TERM env var is f.e xterm or vt100, because I'm logging in via 
telnet.
When I run the TTYfier from a bash directly on the WindowsNT machine, 
it works.
How to install terminfo db instead of termcap? Is there a ready-to-
use package from cygwin?

> AS>  arises. Then I get the WindowsNT command-prompt, but it shows no
> AS> reaction of typing in something.
> 
> What version of cygwin1.dll do you use? TTYfier requires version 1.3.1
> or later to operate properly.
AFAIK I use the latest 1.3.2.

> Please, attach output from 'cygcheck -s -v -r' to your message.

Here it is:

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Thu Jul  5 05:03:50 2001

WinNT Ver 4.0 build 1381 Service Pack 5

Path:   /usr/local/bin
	/usr/bin
	/bin
	/cygdrive/c/WINNT/system32
	/cygdrive/c/WINNT
	/usr/bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

PWD = `/home/Administrator'
CYGWIN = `tty'
USER = `Administrator'
MAKE_MODE = `unix'
HOME = `/home/Administrator'

NUMBER_OF_PROCESSORS = `1'
LOGONSERVER = `\\SBG1PCITS1'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
COMSPEC = `C:\WINNT\system32\cmd.exe'
SYSTEMDRIVE = `C:'
HOSTNAME = `SBG1PCITS1'
PROCESSOR_REVISION = `080a'
inetd_dummy = `xxx'
COMPUTERNAME = `SBG1PCITS1'
WINDIR = `C:\WINNT'
USERPROFILE = `C:\WINNT\Profiles\Default User'
PS1 = `\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
MACHTYPE = `i686-pc-cygwin'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 8 Stepping 10, 
GenuineIntel'
OS = `Windows_NT'
OLDPWD = `/home/Administrator'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_LEVEL = `6'
SYSTEMROOT = `C:\WINNT'
HOMEDRIVE = `C:'
SHLVL = `1'
USERDOMAIN = `SBG1PCITS1'
HOMEPATH = `\'
USERNAME = `Administrator'
SHELL = `/bin/bash'
HOSTTYPE = `i686'
OSTYPE = `cygwin'
TERM = `ansi'
_ = `/usr/bin/cygcheck'
TZ = `WEST-1WEDT-2,M3.5.0/2,M10.5.0/3'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:/cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:/cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:/cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A                    
c:  hd  NTFS    4053Mb  27% CP CS UN PA FC     sbg1pcits1
g:  cd           N/A    N/A                    

C:\cygwin\bin  /usr/bin  system  binmode
C:\cygwin\lib  /usr/lib  system  binmode
C:\cygwin  /        system  binmode
c:    /cygdrive/c  user    binmode,noumount

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Not Found: cpp (good!)
Found: C:\cygwin\bin\find.exe
Not Found: gcc
Not Found: gdb
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Not Found: make
Found: C:\cygwin\bin\sh.exe

   56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
		  "cygbz21.0.dll" v0.0 ts=2000/11/21 0:53
   45k 2001/04/25 C:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
		  "cygform5.dll" v0.0 ts=2001/4/25 7:28
   17k 2001/01/07 C:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 
sys=4.0
		  "cyghistory4.dll" v0.0 ts=2001/1/7 5:34
   21k 2001/06/20 C:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
		  "cygintl.dll" v0.0 ts=2001/6/20 19:09
   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
		  "cygmenu5.dll" v0.0 ts=2001/4/25 7:27
  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 
sys=4.0
		  "cygncurses++5.dll" v0.0 ts=2001/4/25 7:29
  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 
sys=4.0
		  "cygncurses5.dll" v0.0 ts=2001/4/25 7:17
   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
		  "cygpanel5.dll" v0.0 ts=2001/4/25 7:27
  108k 2001/01/07 C:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 
sys=4.0
		  "cygreadline4.dll" v0.0 ts=2001/1/7 5:34
  678k 2001/05/21 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
		  "cygwin1.dll" v0.0 ts=2001/5/21 5:28
    Cygwin DLL version info:
	dll major: 1003
	dll minor: 2
	dll epoch: 19
	dll bad signal mask: 19005
	dll old termios: 5
	dll malloc env: 28
	api major: 0
	api minor: 39
	shared data: 3
	dll identifier: cygwin1
	mount registry: 2
	cygnus registry name: Cygnus Solutions
	cygwin registry name: Cygwin
	program options name: Program Options
	cygwin mount registry name: mounts v2
	cygdrive flags: cygdrive flags
	cygdrive prefix: cygdrive prefix
	cygdrive default prefix: 
	build date: Sun May 20 23:28:17 EDT 2001
	shared id: cygwin1S3

Use -h to see help about each section
-----------

Regards,

Andy.

Andreas Schlager, EDV
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/